/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.admin.directory.model;

import com.google.api.client.json.GenericJson;

/**
 * JSON template for a relation entry.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Admin Directory API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class UserRelation extends GenericJson {

  /**
   * Custom Type.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String customType;

  /**
   * The relation of the user. Some of the possible values are mother, father, sister, brother,
   * manager, assistant, partner.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String type;

  /**
   * The name of the relation.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String value;

  /**
   * Custom Type.
   * The value returned may be {@code null}.
   */
  public String getCustomType() {
    return customType;
  }

  /**
   * Custom Type.
   * The value set may be {@code null}.
   */
  public UserRelation setCustomType(String customType) {
    this.customType = customType;
    return this;
  }

  /**
   * The relation of the user. Some of the possible values are mother, father, sister, brother,
   * manager, assistant, partner.
   * The value returned may be {@code null}.
   */
  public String getType() {
    return type;
  }

  /**
   * The relation of the user. Some of the possible values are mother, father, sister, brother,
   * manager, assistant, partner.
   * The value set may be {@code null}.
   */
  public UserRelation setType(String type) {
    this.type = type;
    return this;
  }

  /**
   * The name of the relation.
   * The value returned may be {@code null}.
   */
  public String getValue() {
    return value;
  }

  /**
   * The name of the relation.
   * The value set may be {@code null}.
   */
  public UserRelation setValue(String value) {
    this.value = value;
    return this;
  }

}
